Mailinglist Archive: opensuse-updates (161 mails)

< Previous Next >
openSUSE-SU-2019:0265-1: moderate: Security update for libqt5-qtbase
openSUSE Security Update: Security update for libqt5-qtbase
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:0265-1
Rating: moderate
References: #1096328 #1099874 #1108889 #1118595 #1118596
#1120639
Cross-References: CVE-2018-15518 CVE-2018-19873
Affected Products:
openSUSE Leap 15.0
______________________________________________________________________________

An update that solves two vulnerabilities and has four
fixes is now available.

Description:

This update for libqt5-qtbase provides the following fixes:

Security issues fixed:

- CVE-2018-15518: Fixed double free in QXmlStreamReader (bsc#1118595)
- CVE-2018-19873: Fixed Denial of Service on malformed BMP file in
QBmpHandler (bsc#1118596)

Non-security issues fixed:

- Fix dynamic loading of libGL. (bsc#1099874)
- Make sure printer settings are properly remembered. (bsc#1096328)
- Add patch to fix fails to load pixmap cursors on XRender less system
(bsc#1108889)
- Fix krita pop-up palette not working properly (bsc#1120639)


This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-265=1



Package List:

- openSUSE Leap 15.0 (i586 x86_64):

libQt5Bootstrap-devel-static-5.9.4-lp150.5.4.1
libQt5Concurrent-devel-5.9.4-lp150.5.4.1
libQt5Concurrent5-5.9.4-lp150.5.4.1
libQt5Concurrent5-debuginfo-5.9.4-lp150.5.4.1
libQt5Core-devel-5.9.4-lp150.5.4.1
libQt5Core5-5.9.4-lp150.5.4.1
libQt5Core5-debuginfo-5.9.4-lp150.5.4.1
libQt5DBus-devel-5.9.4-lp150.5.4.1
libQt5DBus-devel-debuginfo-5.9.4-lp150.5.4.1
libQt5DBus5-5.9.4-lp150.5.4.1
libQt5DBus5-debuginfo-5.9.4-lp150.5.4.1
libQt5Gui-devel-5.9.4-lp150.5.4.1
libQt5Gui5-5.9.4-lp150.5.4.1
libQt5Gui5-debuginfo-5.9.4-lp150.5.4.1
libQt5KmsSupport-devel-static-5.9.4-lp150.5.4.1
libQt5Network-devel-5.9.4-lp150.5.4.1
libQt5Network5-5.9.4-lp150.5.4.1
libQt5Network5-debuginfo-5.9.4-lp150.5.4.1
libQt5OpenGL-devel-5.9.4-lp150.5.4.1
libQt5OpenGL5-5.9.4-lp150.5.4.1
libQt5OpenGL5-debuginfo-5.9.4-lp150.5.4.1
libQt5OpenGLExtensions-devel-static-5.9.4-lp150.5.4.1
libQt5PlatformHeaders-devel-5.9.4-lp150.5.4.1
libQt5PlatformSupport-devel-static-5.9.4-lp150.5.4.1
libQt5PrintSupport-devel-5.9.4-lp150.5.4.1
libQt5PrintSupport5-5.9.4-lp150.5.4.1
libQt5PrintSupport5-debuginfo-5.9.4-lp150.5.4.1
libQt5Sql-devel-5.9.4-lp150.5.4.1
libQt5Sql5-5.9.4-lp150.5.4.1
libQt5Sql5-debuginfo-5.9.4-lp150.5.4.1
libQt5Sql5-mysql-5.9.4-lp150.5.4.1
libQt5Sql5-mysql-debuginfo-5.9.4-lp150.5.4.1
libQt5Sql5-postgresql-5.9.4-lp150.5.4.1
libQt5Sql5-postgresql-debuginfo-5.9.4-lp150.5.4.1
libQt5Sql5-sqlite-5.9.4-lp150.5.4.1
libQt5Sql5-sqlite-debuginfo-5.9.4-lp150.5.4.1
libQt5Sql5-unixODBC-5.9.4-lp150.5.4.1
libQt5Sql5-unixODBC-debuginfo-5.9.4-lp150.5.4.1
libQt5Test-devel-5.9.4-lp150.5.4.1
libQt5Test5-5.9.4-lp150.5.4.1
libQt5Test5-debuginfo-5.9.4-lp150.5.4.1
libQt5Widgets-devel-5.9.4-lp150.5.4.1
libQt5Widgets5-5.9.4-lp150.5.4.1
libQt5Widgets5-debuginfo-5.9.4-lp150.5.4.1
libQt5Xml-devel-5.9.4-lp150.5.4.1
libQt5Xml5-5.9.4-lp150.5.4.1
libQt5Xml5-debuginfo-5.9.4-lp150.5.4.1
libqt5-qtbase-common-devel-5.9.4-lp150.5.4.1
libqt5-qtbase-common-devel-debuginfo-5.9.4-lp150.5.4.1
libqt5-qtbase-debugsource-5.9.4-lp150.5.4.1
libqt5-qtbase-devel-5.9.4-lp150.5.4.1
libqt5-qtbase-examples-5.9.4-lp150.5.4.1
libqt5-qtbase-examples-debuginfo-5.9.4-lp150.5.4.1
libqt5-qtbase-platformtheme-gtk3-5.9.4-lp150.5.4.1
libqt5-qtbase-platformtheme-gtk3-debuginfo-5.9.4-lp150.5.4.1

- openSUSE Leap 15.0 (x86_64):

libQt5Bootstrap-devel-static-32bit-5.9.4-lp150.5.4.1
libQt5Concurrent-devel-32bit-5.9.4-lp150.5.4.1
libQt5Concurrent5-32bit-5.9.4-lp150.5.4.1
libQt5Concurrent5-32bit-debuginfo-5.9.4-lp150.5.4.1
libQt5Core-devel-32bit-5.9.4-lp150.5.4.1
libQt5Core5-32bit-5.9.4-lp150.5.4.1
libQt5Core5-32bit-debuginfo-5.9.4-lp150.5.4.1
libQt5DBus-devel-32bit-5.9.4-lp150.5.4.1
libQt5DBus-devel-32bit-debuginfo-5.9.4-lp150.5.4.1
libQt5DBus5-32bit-5.9.4-lp150.5.4.1
libQt5DBus5-32bit-debuginfo-5.9.4-lp150.5.4.1
libQt5Gui-devel-32bit-5.9.4-lp150.5.4.1
libQt5Gui5-32bit-5.9.4-lp150.5.4.1
libQt5Gui5-32bit-debuginfo-5.9.4-lp150.5.4.1
libQt5Network-devel-32bit-5.9.4-lp150.5.4.1
libQt5Network5-32bit-5.9.4-lp150.5.4.1
libQt5Network5-32bit-debuginfo-5.9.4-lp150.5.4.1
libQt5OpenGL-devel-32bit-5.9.4-lp150.5.4.1
libQt5OpenGL5-32bit-5.9.4-lp150.5.4.1
libQt5OpenGL5-32bit-debuginfo-5.9.4-lp150.5.4.1
libQt5OpenGLExtensions-devel-static-32bit-5.9.4-lp150.5.4.1
libQt5PlatformSupport-devel-static-32bit-5.9.4-lp150.5.4.1
libQt5PrintSupport-devel-32bit-5.9.4-lp150.5.4.1
libQt5PrintSupport5-32bit-5.9.4-lp150.5.4.1
libQt5PrintSupport5-32bit-debuginfo-5.9.4-lp150.5.4.1
libQt5Sql-devel-32bit-5.9.4-lp150.5.4.1
libQt5Sql5-32bit-5.9.4-lp150.5.4.1
libQt5Sql5-32bit-debuginfo-5.9.4-lp150.5.4.1
libQt5Sql5-mysql-32bit-5.9.4-lp150.5.4.1
libQt5Sql5-mysql-32bit-debuginfo-5.9.4-lp150.5.4.1
libQt5Sql5-postgresql-32bit-5.9.4-lp150.5.4.1
libQt5Sql5-postgresql-32bit-debuginfo-5.9.4-lp150.5.4.1
libQt5Sql5-sqlite-32bit-5.9.4-lp150.5.4.1
libQt5Sql5-sqlite-32bit-debuginfo-5.9.4-lp150.5.4.1
libQt5Sql5-unixODBC-32bit-5.9.4-lp150.5.4.1
libQt5Sql5-unixODBC-32bit-debuginfo-5.9.4-lp150.5.4.1
libQt5Test-devel-32bit-5.9.4-lp150.5.4.1
libQt5Test5-32bit-5.9.4-lp150.5.4.1
libQt5Test5-32bit-debuginfo-5.9.4-lp150.5.4.1
libQt5Widgets-devel-32bit-5.9.4-lp150.5.4.1
libQt5Widgets5-32bit-5.9.4-lp150.5.4.1
libQt5Widgets5-32bit-debuginfo-5.9.4-lp150.5.4.1
libQt5Xml-devel-32bit-5.9.4-lp150.5.4.1
libQt5Xml5-32bit-5.9.4-lp150.5.4.1
libQt5Xml5-32bit-debuginfo-5.9.4-lp150.5.4.1
libqt5-qtbase-examples-32bit-5.9.4-lp150.5.4.1
libqt5-qtbase-examples-32bit-debuginfo-5.9.4-lp150.5.4.1

- openSUSE Leap 15.0 (noarch):

libQt5Core-private-headers-devel-5.9.4-lp150.5.4.1
libQt5DBus-private-headers-devel-5.9.4-lp150.5.4.1
libQt5Gui-private-headers-devel-5.9.4-lp150.5.4.1
libQt5KmsSupport-private-headers-devel-5.9.4-lp150.5.4.1
libQt5Network-private-headers-devel-5.9.4-lp150.5.4.1
libQt5OpenGL-private-headers-devel-5.9.4-lp150.5.4.1
libQt5PlatformSupport-private-headers-devel-5.9.4-lp150.5.4.1
libQt5PrintSupport-private-headers-devel-5.9.4-lp150.5.4.1
libQt5Sql-private-headers-devel-5.9.4-lp150.5.4.1
libQt5Test-private-headers-devel-5.9.4-lp150.5.4.1
libQt5Widgets-private-headers-devel-5.9.4-lp150.5.4.1
libqt5-qtbase-private-headers-devel-5.9.4-lp150.5.4.1


References:

https://www.suse.com/security/cve/CVE-2018-15518.html
https://www.suse.com/security/cve/CVE-2018-19873.html
https://bugzilla.suse.com/1096328
https://bugzilla.suse.com/1099874
https://bugzilla.suse.com/1108889
https://bugzilla.suse.com/1118595
https://bugzilla.suse.com/1118596
https://bugzilla.suse.com/1120639


< Previous Next >
This Thread
  • No further messages